Browser profiles
Retrieve a browser profile
Retrieve a browser profile by ID, with its default flag.
GET
/
api
/
v2
/
browser-profiles
/
{profile_id}
from hai_agents import Client
client = Client()
profile = client.browser_profiles.get_browser_profile(profile_id=profile_id)
print(profile.name, profile.browser_name, profile.usage_count)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const profile = await client.browserProfiles.getBrowserProfile({
profileId,
});
console.log(profile.name, profile.browserName, profile.usageCount);
curl "https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"id": "9b2e4c1a-7d3f-4e8b-a6c5-2f1d0e9b8a76",
"user_id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"name": "acme-prod-login",
"description": null,
"browser_name": "chromium",
"browser_version": "150",
"file_size_bytes": 102400,
"checksum": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"usage_count": 3,
"last_used_at": "2026-06-16T13:05:00Z",
"labels": {"team": "qa"},
"is_default": false,
"created_at": "2026-06-16T14:30:00Z",
"updated_at": "2026-06-16T14:30:00Z"
}
Path parameters
string
required
The profile’s
id (UUID).Response
200 with the browser profile object, also returned by complete-upload, list, and the default endpoints.
string
Unique profile identifier (UUID).
string
User who uploaded the profile (UUID).
string
Organization that owns the profile (UUID).
string
Human-readable label.
string | null
Optional free-text description.
string
Browser the profile was captured with (for example
chromium).string
Browser version string the profile was captured with.
integer | null
Size of the stored archive in bytes.
string | null
SHA-256 checksum of the stored archive, computed at upload time.
integer
Number of times the profile has been loaded into a session.
string | null
ISO 8601 timestamp of the last time the profile was loaded, or
null if never used.object | null
Key-value metadata you set on the profile.
boolean
Whether this profile is your default for its
browser_name. Set and cleared with Set default and Unset default.string
ISO 8601 creation timestamp.
string
ISO 8601 timestamp of the last change.
from hai_agents import Client
client = Client()
profile = client.browser_profiles.get_browser_profile(profile_id=profile_id)
print(profile.name, profile.browser_name, profile.usage_count)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const profile = await client.browserProfiles.getBrowserProfile({
profileId,
});
console.log(profile.name, profile.browserName, profile.usageCount);
curl "https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"id": "9b2e4c1a-7d3f-4e8b-a6c5-2f1d0e9b8a76",
"user_id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"name": "acme-prod-login",
"description": null,
"browser_name": "chromium",
"browser_version": "150",
"file_size_bytes": 102400,
"checksum": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"usage_count": 3,
"last_used_at": "2026-06-16T13:05:00Z",
"labels": {"team": "qa"},
"is_default": false,
"created_at": "2026-06-16T14:30:00Z",
"updated_at": "2026-06-16T14:30:00Z"
}
Errors
| Status | Cause |
|---|---|
404 | Not found, or not in your organization. |
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
profile = client.browser_profiles.get_browser_profile(profile_id=profile_id)
print(profile.name, profile.browser_name, profile.usage_count)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const profile = await client.browserProfiles.getBrowserProfile({
profileId,
});
console.log(profile.name, profile.browserName, profile.usageCount);
curl "https://agp.eu.hcompany.ai/api/v2/browser-profiles/$PROFILE_ID" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"id": "9b2e4c1a-7d3f-4e8b-a6c5-2f1d0e9b8a76",
"user_id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"name": "acme-prod-login",
"description": null,
"browser_name": "chromium",
"browser_version": "150",
"file_size_bytes": 102400,
"checksum": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"usage_count": 3,
"last_used_at": "2026-06-16T13:05:00Z",
"labels": {"team": "qa"},
"is_default": false,
"created_at": "2026-06-16T14:30:00Z",
"updated_at": "2026-06-16T14:30:00Z"
}